<!-- 搜索表单 -->
<template>
  <el-form
    label-width="77px"
    class="ele-form-search"
    @keyup.enter.native="search"
    @submit.native.prevent
  >
    <el-row :gutter="15">
      <el-col v-bind="styleResponsive ? { lg: 5, md: 10 } : { span: 5 }">
        <el-form-item label="姓名:">
          <el-input clearable v-model="where.uname" placeholder="请输入" />
        </el-form-item>
      </el-col>
      <el-col v-bind="styleResponsive ? { lg: 5, md: 10 } : { span: 5 }">
        <el-form-item label="手机号:">
          <el-input clearable v-model="where.mobile" placeholder="请输入" />
        </el-form-item>
      </el-col>
      <el-col v-bind="styleResponsive ? { lg: 5, md: 10 } : { span: 5 }">
        <el-form-item label="机构:">
          <el-select
            clearable
            v-model="where.topOrgId"
            placeholder="请选择"
            class="ele-fluid"
          >
            <el-option
              v-for="item in organizationTopList"
              :key="item.organizationId"
              :label="item.organizationName"
              :value="item.organizationId"
            />
          </el-select>
        </el-form-item>
      </el-col>
      <el-col v-bind="styleResponsive ? { lg: 6, md: 12 } : { span: 6 }">
        <div class="ele-form-actions">
          <el-button
            type="primary"
            icon="el-icon-search"
            class="ele-btn-icon"
            @click="search"
          >
            查询
          </el-button>
          <el-button @click="reset">重置</el-button>
        </div>
      </el-col>
    </el-row>
  </el-form>
</template>

<script>
  import { listOrganizationParent } from '@/api/institution/organization';

  export default {
    data() {
      // 默认表单数据
      const defaultWhere = {
        topOrgId: null,
        uname: '',
        mobile: ''
      };
      return {
        // 表单数据
        organizationTopList: [],
        where: { ...defaultWhere }
      };
    },
    computed: {
      // 是否开启响应式布局
      styleResponsive() {
        return this.$store.state.theme.styleResponsive;
      }
    },
    created() {
      this.organizationParentQuery();
    },
    methods: {
      /* 查询顶级机构 */
      organizationParentQuery() {
        listOrganizationParent({ parentId: 0 })
          .then((list) => {
            this.organizationTopList = list;
          })
          .catch((e) => {
            this.$message.error(e.message);
          });
      },
      /* 搜索 */
      search() {
        this.$emit('search', this.where);
      },
      /*  重置 */
      reset() {
        this.where = { ...this.defaultWhere };
        this.search();
      }
    }
  };
</script>
